summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2014-03-24 08:51:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-24 08:52:47 +0700
commite520a3e786536b1f4b9dee36ba074a0466da8091 (patch)
tree91a46473bd5052bce885581bd23ba5fcf8071fce /libraries
parent5e85080177683c5e08982b88f76fd084c3329772 (diff)
downloadslackbuilds-e520a3e786536b1f4b9dee36ba074a0466da8091.tar.gz
slackbuilds-e520a3e786536b1f4b9dee36ba074a0466da8091.tar.xz
libraries/libdivecomputer: Added (Library for dive computers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libdivecomputer/README2
-rw-r--r--libraries/libdivecomputer/libdivecomputer.SlackBuild103
-rw-r--r--libraries/libdivecomputer/libdivecomputer.info10
-rw-r--r--libraries/libdivecomputer/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/libdivecomputer/README b/libraries/libdivecomputer/README
new file mode 100644
index 0000000000..ee60bc3264
--- /dev/null
+++ b/libraries/libdivecomputer/README
@@ -0,0 +1,2 @@
+Libdivecomputer is a cross-platform and open source library
+for communication with dive computers from various manufacturers.
diff --git a/libraries/libdivecomputer/libdivecomputer.SlackBuild b/libraries/libdivecomputer/libdivecomputer.SlackBuild
new file mode 100644
index 0000000000..160a23a05a
--- /dev/null
+++ b/libraries/libdivecomputer/libdivecomputer.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libdivecomputer
+
+# Copyright 2014 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libdivecomputer
+VERSION=${VERSION:-0.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Decide if we want logging enabled. Default is no.
+if [ "${LOGGING:-no}" == "yes" ]; then
+ ENABLE_LOGGING="yes"
+else
+ ENABLE_LOGGING="no"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-silent-rules \
+ --enable-static=no \
+ --enable-logging="$ENABLE_LOGGING" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libdivecomputer/libdivecomputer.info b/libraries/libdivecomputer/libdivecomputer.info
new file mode 100644
index 0000000000..73d11981b3
--- /dev/null
+++ b/libraries/libdivecomputer/libdivecomputer.info
@@ -0,0 +1,10 @@
+PRGNAM="libdivecomputer"
+VERSION="0.4.2"
+HOMEPAGE="http://www.libdivecomputer.org/"
+DOWNLOAD="http://www.libdivecomputer.org/releases/libdivecomputer-0.4.2.tar.gz"
+MD5SUM="7e13f273a9376731523b31f1ee3e5262"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/libdivecomputer/slack-desc b/libraries/libdivecomputer/slack-desc
new file mode 100644
index 0000000000..7ab3342fe8
--- /dev/null
+++ b/libraries/libdivecomputer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libdivecomputer: libdivecomputer (Library to communicate with dive computers)
+libdivecomputer:
+libdivecomputer: Libdivecomputer is a cross-platform and open source library for
+libdivecomputer: communication with dive computers from various manufacturers.
+libdivecomputer:
+libdivecomputer: Homepage: http://www.libdivecomputer.org/
+libdivecomputer:
+libdivecomputer:
+libdivecomputer:
+libdivecomputer:
+libdivecomputer: